org.apache.hadoop.hdfs.server.namenode

## Class IsNameNodeActiveServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.hadoop.http.IsActiveServlet
      - - org.apache.hadoop.hdfs.server.namenode.IsNameNodeActiveServlet

- All Implemented Interfaces:
    Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class IsNameNodeActiveServlet
      extends org.apache.hadoop.http.IsActiveServlet

  Used by Load Balancers to find the active NameNode.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.http.IsActiveServlet

      `PATH_SPEC, RESPONSE_ACTIVE, RESPONSE_NOT_ACTIVE, SERVLET_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IsNameNodeActiveServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isActive()`

    - ### Methods inherited from class org.apache.hadoop.http.IsActiveServlet

      `doGet`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IsNameNodeActiveServlet

          public IsNameNodeActiveServlet()

  - ### Method Detail

    - #### isActive

          protected boolean isActive()

      Specified by:
        `isActive` in class `org.apache.hadoop.http.IsActiveServlet`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.